import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { ServerDTO } from 'src/app/models/discord/server.dto';
import { DataService } from 'src/app/services/data/data.service';
import { ServerService } from 'src/app/services/data/server.service';
import { SpinnerService } from 'src/app/services/spinner/spinner.service';

@Component({
  selector: 'app-server-dashboard',
  templateUrl: './server-dashboard.component.html',
  styleUrls: ['./server-dashboard.component.scss']
})
export class ServerDashboardComponent implements OnInit {

  id!: number;
  server!: ServerDTO;

  constructor(
    private route: ActivatedRoute,
    private router: Router,
    private data: DataService,
    private spinner: SpinnerService,
    private serverService: ServerService
  ) { }

  ngOnInit(): void {
    this.spinner.showSpinner();
    if (!this.serverService.server$.value) {
      this.spinner.hideSpinner();
      this.router.navigate(['/dashboard']);
      return;
    }

    this.server = this.serverService.server$.value;
    this.spinner.hideSpinner();
  }

}
